import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'bot8')

@points('2-3')
class MainTest(unittest.TestCase):
   
    def test_answer_one(self):
        main(0.05, 0.8, 0.01)
        output = get_out()
        self.assertEqual(output, '0.8080808080808081', "Incorrect answer. Please check your calculations.")

    def test_answer_two(self):
        main(0.0, 0.8, 0.01)
        output = get_out()
        self.assertEqual(output, '0.0', "Incorrect answer. Please check your calculations.")

    def test_answer_three(self):
        main(0.05, 0.1, 0.1)
        output = get_out()
        self.assertEqual(output, '0.05000000000000001', "Incorrect answer. Please check your calculations.")

    def test_answer_four(self):
        main(0.05, 0.1, 0.0)
        output = get_out()
        self.assertEqual(output, '1.0', "Incorrect answer. Please check your calculations.")
          
if __name__ == '__main__':
    unittest.main()
